<?php

add_action( 'after_setup_theme', 'mytheme_theme_setup' );
 
if ( ! function_exists( 'mytheme_theme_setup' ) ) {
    function mytheme_theme_setup() {
 
        add_action( 'init', 'mytheme_buttons' );
 
    }
}
 
/********* TinyMCE Buttons ***********/
if ( ! function_exists( 'mytheme_buttons' ) ) {
    function mytheme_buttons() {
        if ( ! current_user_can( 'edit_posts' ) && ! current_user_can( 'edit_pages' ) ) {
            return;
        }
 
        if ( get_user_option( 'rich_editing' ) !== 'true' ) {
            return;
        }
 
        add_filter( 'mce_external_plugins', 'mytheme_add_buttons' );
        add_filter( 'mce_buttons', 'mytheme_register_buttons' );
    }
}
 
if ( ! function_exists( 'mytheme_add_buttons' ) ) {
    function mytheme_add_buttons( $plugin_array ) {
        $plugin_array['price_button'] = get_template_directory_uri().'/admin/js/tinymce_button.js';
        return $plugin_array;
    }
}
 
if ( ! function_exists( 'mytheme_register_buttons' ) ) {
    function mytheme_register_buttons( $buttons ) {
        array_push( $buttons, 'price_button' );
        return $buttons;
    }
}
 
 